<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:05 CET 2009 -->
<TITLE>
BigIntegerOperators
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.math.operator.impl.BigIntegerOperators class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="BigIntegerOperators";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BigIntegerOperators.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/impl/BigFractionOperators.html" title="class in ch.javasoft.math.operator.impl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.ConversionMode.html" title="enum in ch.javasoft.math.operator.impl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/operator/impl/BigIntegerOperators.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BigIntegerOperators.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.math.operator.impl</FONT>
<BR>
Class BigIntegerOperators</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.math.operator.impl.BigIntegerOperators</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.78"><B>BigIntegerOperators</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</DL>
</PRE>

<P>
Number operators for <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>BigInteger</CODE></A> numbers. A 
 <A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#INTEGER_DIVISION_INSTANCE"><CODE>default instance</CODE></A> is available as constant, where divisions
 are performed as integer division, ignoring possible remainders. Alternate
 instances are available, e.g. if division should throw an exception.
<P>

<P>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.ConversionMode.html" title="enum in ch.javasoft.math.operator.impl">BigIntegerOperators.ConversionMode</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<code>ConversionMode</code> is the method to use when other numeric
 types are converted into a big integer.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.DivisionMode.html" title="enum in ch.javasoft.math.operator.impl">BigIntegerOperators.DivisionMode</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<code>DivisionMode</code> is the method used to divide two integer
 values, which might result in a remainder value.</TD>
</TR>
</TABLE>
&nbsp;<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html" title="class in ch.javasoft.math.operator.impl">BigIntegerOperators</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#EXACT_DIVISION_INSTANCE">EXACT_DIVISION_INSTANCE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The instance with exact integer division, that is, division operations 
 throw an <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ArithmeticException.html" title="class or interface in java.lang"><CODE>ArithmeticException</CODE></A> if it does not yield an integer 
 value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html" title="class in ch.javasoft.math.operator.impl">BigIntegerOperators</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#INTEGER_DIVISION_INSTANCE">INTEGER_DIVISION_INSTANCE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The default instance, all operators perform the plain operations without
 rounding.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html" title="class in ch.javasoft.math.operator.impl">BigIntegerOperators</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#NO_DIVISION_INSTANCE">NO_DIVISION_INSTANCE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The instance without division, that is, all division operations throw
 an <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ArithmeticException.html" title="class or interface in java.lang"><CODE>ArithmeticException</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html" title="class in ch.javasoft.math.operator.impl">BigIntegerOperators</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#ROUNDED_DIVISION_INSTANCE">ROUNDED_DIVISION_INSTANCE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The instance with rounded integer division, that is, division operations
 use <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/RoundingMode.html#HALF_EVEN" title="class or interface in java.math"><CODE>HALF_EVEN</CODE></A> rounding.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#BigIntegerOperators(ch.javasoft.math.operator.impl.BigIntegerOperators.DivisionMode, ch.javasoft.math.operator.impl.BigIntegerOperators.ConversionMode)">BigIntegerOperators</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.DivisionMode.html" title="enum in ch.javasoft.math.operator.impl">BigIntegerOperators.DivisionMode</A>&nbsp;divMode,
                                       <A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.ConversionMode.html" title="enum in ch.javasoft.math.operator.impl">BigIntegerOperators.ConversionMode</A>&nbsp;convMode)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for <code>BigIntegerNumberOperators</code> with division and
 conversion mode.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="interface in ch.javasoft.math.operator">AggregatingBinaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#aggregatingBinary(ch.javasoft.math.operator.AggregatingBinaryOperator.Id)">aggregatingBinary</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">AggregatingBinaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the aggregating binary operator identified by operator id, 
 matching number and array type defined by this <code>NumberOperators</code> 
 instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html" title="interface in ch.javasoft.math.operator">AggregatingUnaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#aggregatingUnary(ch.javasoft.math.operator.AggregatingUnaryOperator.Id)">aggregatingUnary</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">AggregatingUnaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the aggregating unary operator identified by operator id, 
 matching number and array type defined by this <code>NumberOperators</code> 
 instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#arrayClass()">arrayClass</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number type class of an array of values</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#binary(ch.javasoft.math.operator.BinaryOperator.Id)">binary</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BinaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the binary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#booleanBinary(ch.javasoft.math.operator.BooleanBinaryOperator.Id)">booleanBinary</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BooleanBinaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the boolean-binary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#booleanUnary(ch.javasoft.math.operator.BooleanUnaryOperator.Id)">booleanUnary</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BooleanUnaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the boolean-unary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator">NullaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#constant(java.math.BigInteger)">constant</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a const operator for the specified constant <code>value</code>, 
 matching number and array type defined by this <code>NumberOperators</code> 
 instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/ConvertingUnaryOperator.html" title="interface in ch.javasoft.math.operator">ConvertingUnaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>[],<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#converter()">converter</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a converting unary operator which is able to convert any
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang"><CODE>Number</CODE></A> instance to a specific number instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#getArrayOperations()">getArrayOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the array operations instance based on <code>this</code> operators 
 instance</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.ConversionMode.html" title="enum in ch.javasoft.math.operator.impl">BigIntegerOperators.ConversionMode</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#getConversionMode()">getConversionMode</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the conversion mode for this big integer operators, defining 
 how numeric values are converted into big integer values.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.DivisionMode.html" title="enum in ch.javasoft.math.operator.impl">BigIntegerOperators.DivisionMode</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#getDivisionMode()">getDivisionMode</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the division mode for this big integer operators, defining how
 the method used to divide two integer values, which might result in a 
 remainder value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/DivisionSupport.html" title="interface in ch.javasoft.math.operator">DivisionSupport</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#getDivisionSupport()">getDivisionSupport</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the kind of <A HREF="../../../../../ch/javasoft/math/operator/DivisionSupport.html" title="interface in ch.javasoft.math.operator"><CODE>DivisionSupport</CODE></A> for this operators instance</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#getLinAlgOperations()">getLinAlgOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the linear algebra operations instance based on <code>this</code>
 operators instance</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#getLinAlgOperations(ch.javasoft.math.linalg.GaussPivotingFactory)">getLinAlgOperations</A></B>(<A HREF="../../../../../ch/javasoft/math/linalg/GaussPivotingFactory.html" title="interface in ch.javasoft.math.linalg">GaussPivotingFactory</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;&nbsp;gaussPivotingFactory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the linear algebra operations instance based on <code>this</code>
 operators instance with Gauss pivoting created the given factory</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="interface in ch.javasoft.math.array">NumberArrayOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#getNumberArrayOperations()">getNumberArrayOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number array operations instance based on <code>this</code> 
 operators instance</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/IntBinaryOperator.html" title="interface in ch.javasoft.math.operator">IntBinaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#intBinary(ch.javasoft.math.operator.IntBinaryOperator.Id)">intBinary</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/IntBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">IntBinaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the int-binary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/IntUnaryOperator.html" title="interface in ch.javasoft.math.operator">IntUnaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#intUnary(ch.javasoft.math.operator.IntUnaryOperator.Id)">intUnary</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/IntUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">IntUnaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the int-unary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator">NullaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#nullary(ch.javasoft.math.operator.NullaryOperator.Id)">nullary</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.Id.html" title="enum in ch.javasoft.math.operator">NullaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the nullary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#numberClass()">numberClass</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number type class for a single value</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#one()">one</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number value representing one</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator">UnaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#unary(ch.javasoft.math.operator.UnaryOperator.Id)">unary</A></B>(<A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">UnaryOperator.Id</A>&nbsp;id)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the unary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html#zero()">zero</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number value representing zero</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="INTEGER_DIVISION_INSTANCE"><!-- --></A><H3>
INTEGER_DIVISION_INSTANCE</H3>
<PRE>
public static final <A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html" title="class in ch.javasoft.math.operator.impl">BigIntegerOperators</A> <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.298"><B>INTEGER_DIVISION_INSTANCE</B></A></PRE>
<DL>
<DD>The default instance, all operators perform the plain operations without
 rounding. Division is performed as integer division, possible remainders
 are ignored. This implementation uses <A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.DivisionMode.html#Integer"><CODE>BigIntegerOperators.DivisionMode.Integer</CODE></A> and
 <A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.ConversionMode.html#Truncate"><CODE>BigIntegerOperators.ConversionMode.Truncate</CODE></A>.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="NO_DIVISION_INSTANCE"><!-- --></A><H3>
NO_DIVISION_INSTANCE</H3>
<PRE>
public static final <A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html" title="class in ch.javasoft.math.operator.impl">BigIntegerOperators</A> <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.306"><B>NO_DIVISION_INSTANCE</B></A></PRE>
<DL>
<DD>The instance without division, that is, all division operations throw
 an <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ArithmeticException.html" title="class or interface in java.lang"><CODE>ArithmeticException</CODE></A>. All conversion operations from another
 number type also throw an <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ArithmeticException.html" title="class or interface in java.lang"><CODE>ArithmeticException</CODE></A> if the number did
 not represent an integer value. This implementation uses 
 <A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.DivisionMode.html#None"><CODE>BigIntegerOperators.DivisionMode.None</CODE></A> and <A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.ConversionMode.html#Exact"><CODE>BigIntegerOperators.ConversionMode.Exact</CODE></A>.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="EXACT_DIVISION_INSTANCE"><!-- --></A><H3>
EXACT_DIVISION_INSTANCE</H3>
<PRE>
public static final <A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html" title="class in ch.javasoft.math.operator.impl">BigIntegerOperators</A> <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.315"><B>EXACT_DIVISION_INSTANCE</B></A></PRE>
<DL>
<DD>The instance with exact integer division, that is, division operations 
 throw an <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ArithmeticException.html" title="class or interface in java.lang"><CODE>ArithmeticException</CODE></A> if it does not yield an integer 
 value. All conversion operations from another number type also throw an 
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/ArithmeticException.html" title="class or interface in java.lang"><CODE>ArithmeticException</CODE></A> if the number did not represent an integer 
 value. This implementation uses <A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.DivisionMode.html#Exact"><CODE>BigIntegerOperators.DivisionMode.Exact</CODE></A> and 
 <A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.ConversionMode.html#Exact"><CODE>BigIntegerOperators.ConversionMode.Exact</CODE></A>.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="ROUNDED_DIVISION_INSTANCE"><!-- --></A><H3>
ROUNDED_DIVISION_INSTANCE</H3>
<PRE>
public static final <A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.html" title="class in ch.javasoft.math.operator.impl">BigIntegerOperators</A> <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.322"><B>ROUNDED_DIVISION_INSTANCE</B></A></PRE>
<DL>
<DD>The instance with rounded integer division, that is, division operations
 use <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/RoundingMode.html#HALF_EVEN" title="class or interface in java.math"><CODE>HALF_EVEN</CODE></A> rounding. This 
 implementation uses <A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.DivisionMode.html#Round"><CODE>BigIntegerOperators.DivisionMode.Round</CODE></A> and
 <A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.ConversionMode.html#Round"><CODE>BigIntegerOperators.ConversionMode.Round</CODE></A>.
<P>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="BigIntegerOperators(ch.javasoft.math.operator.impl.BigIntegerOperators.DivisionMode, ch.javasoft.math.operator.impl.BigIntegerOperators.ConversionMode)"><!-- --></A><H3>
BigIntegerOperators</H3>
<PRE>
public <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.348"><B>BigIntegerOperators</B></A>(<A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.DivisionMode.html" title="enum in ch.javasoft.math.operator.impl">BigIntegerOperators.DivisionMode</A>&nbsp;divMode,
                           <A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.ConversionMode.html" title="enum in ch.javasoft.math.operator.impl">BigIntegerOperators.ConversionMode</A>&nbsp;convMode)</PRE>
<DL>
<DD>Constructor for <code>BigIntegerNumberOperators</code> with division and
 conversion mode. Note that constants are available for the most common 
 modes.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>divMode</CODE> - the division mode<DD><CODE>convMode</CODE> - the conversion mode</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="numberClass()"><!-- --></A><H3>
numberClass</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&gt; <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.366"><B>numberClass</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#numberClass()">NumberOperators</A></CODE></B></DD>
<DD>Returns the number type class for a single value
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#numberClass()">numberClass</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="arrayClass()"><!-- --></A><H3>
arrayClass</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt; <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.369"><B>arrayClass</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#arrayClass()">NumberOperators</A></CODE></B></DD>
<DD>Returns the number type class of an array of values
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#arrayClass()">arrayClass</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getDivisionMode()"><!-- --></A><H3>
getDivisionMode</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.DivisionMode.html" title="enum in ch.javasoft.math.operator.impl">BigIntegerOperators.DivisionMode</A> <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.378"><B>getDivisionMode</B></A>()</PRE>
<DL>
<DD>Returns the division mode for this big integer operators, defining how
 the method used to divide two integer values, which might result in a 
 remainder value.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getLinAlgOperations()"><!-- --></A><H3>
getLinAlgOperations</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt; <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.381"><B>getLinAlgOperations</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#getLinAlgOperations()">NumberOperators</A></CODE></B></DD>
<DD>Returns the linear algebra operations instance based on <code>this</code>
 operators instance
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#getLinAlgOperations()">getLinAlgOperations</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getLinAlgOperations(ch.javasoft.math.linalg.GaussPivotingFactory)"><!-- --></A><H3>
getLinAlgOperations</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt; <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.384"><B>getLinAlgOperations</B></A>(<A HREF="../../../../../ch/javasoft/math/linalg/GaussPivotingFactory.html" title="interface in ch.javasoft.math.linalg">GaussPivotingFactory</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;&nbsp;gaussPivotingFactory)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#getLinAlgOperations(ch.javasoft.math.linalg.GaussPivotingFactory)">NumberOperators</A></CODE></B></DD>
<DD>Returns the linear algebra operations instance based on <code>this</code>
 operators instance with Gauss pivoting created the given factory
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#getLinAlgOperations(ch.javasoft.math.linalg.GaussPivotingFactory)">getLinAlgOperations</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getArrayOperations()"><!-- --></A><H3>
getArrayOperations</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt; <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.387"><B>getArrayOperations</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#getArrayOperations()">NumberOperators</A></CODE></B></DD>
<DD>Returns the array operations instance based on <code>this</code> operators 
 instance
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#getArrayOperations()">getArrayOperations</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNumberArrayOperations()"><!-- --></A><H3>
getNumberArrayOperations</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/array/NumberArrayOperations.html" title="interface in ch.javasoft.math.array">NumberArrayOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt; <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.390"><B>getNumberArrayOperations</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#getNumberArrayOperations()">NumberOperators</A></CODE></B></DD>
<DD>Returns the number array operations instance based on <code>this</code> 
 operators instance
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#getNumberArrayOperations()">getNumberArrayOperations</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getConversionMode()"><!-- --></A><H3>
getConversionMode</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.ConversionMode.html" title="enum in ch.javasoft.math.operator.impl">BigIntegerOperators.ConversionMode</A> <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.397"><B>getConversionMode</B></A>()</PRE>
<DL>
<DD>Returns the conversion mode for this big integer operators, defining 
 how numeric values are converted into big integer values.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getDivisionSupport()"><!-- --></A><H3>
getDivisionSupport</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/operator/DivisionSupport.html" title="interface in ch.javasoft.math.operator">DivisionSupport</A> <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.401"><B>getDivisionSupport</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#getDivisionSupport()">NumberOperators</A></CODE></B></DD>
<DD>Returns the kind of <A HREF="../../../../../ch/javasoft/math/operator/DivisionSupport.html" title="interface in ch.javasoft.math.operator"><CODE>DivisionSupport</CODE></A> for this operators instance
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#getDivisionSupport()">getDivisionSupport</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="zero()"><!-- --></A><H3>
zero</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.405"><B>zero</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#zero()">NumberOperators</A></CODE></B></DD>
<DD>Returns the number value representing zero
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#zero()">zero</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="one()"><!-- --></A><H3>
one</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.408"><B>one</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#one()">NumberOperators</A></CODE></B></DD>
<DD>Returns the number value representing one
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#one()">one</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="constant(java.math.BigInteger)"><!-- --></A><H3>
constant</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator">NullaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt; <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.412"><B>constant</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;value)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#constant(N)">NumberOperators</A></CODE></B></DD>
<DD>Returns a const operator for the specified constant <code>value</code>, 
 matching number and array type defined by this <code>NumberOperators</code> 
 instance.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#constant(N)">constant</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the constant value returned by the constant operator
<DT><B>Returns:</B><DD>the operator implementation for the current number/array type</DL>
</DD>
</DL>
<HR>

<A NAME="converter()"><!-- --></A><H3>
converter</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/operator/ConvertingUnaryOperator.html" title="interface in ch.javasoft.math.operator">ConvertingUnaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>[],<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt; <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.421"><B>converter</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#converter()">NumberOperators</A></CODE></B></DD>
<DD>Returns a converting unary operator which is able to convert any
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang"><CODE>Number</CODE></A> instance to a specific number instance.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#converter()">converter</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the unary converter</DL>
</DD>
</DL>
<HR>

<A NAME="nullary(ch.javasoft.math.operator.NullaryOperator.Id)"><!-- --></A><H3>
nullary</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.html" title="interface in ch.javasoft.math.operator">NullaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt; <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.424"><B>nullary</B></A>(<A HREF="../../../../../ch/javasoft/math/operator/NullaryOperator.Id.html" title="enum in ch.javasoft.math.operator">NullaryOperator.Id</A>&nbsp;id)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#nullary(ch.javasoft.math.operator.NullaryOperator.Id)">NumberOperators</A></CODE></B></DD>
<DD>Returns the nullary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#nullary(ch.javasoft.math.operator.NullaryOperator.Id)">nullary</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>id</CODE> - the identifier for the desired operator
<DT><B>Returns:</B><DD>the operator implementation for the current number/array type</DL>
</DD>
</DL>
<HR>

<A NAME="unary(ch.javasoft.math.operator.UnaryOperator.Id)"><!-- --></A><H3>
unary</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator">UnaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt; <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.427"><B>unary</B></A>(<A HREF="../../../../../ch/javasoft/math/operator/UnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">UnaryOperator.Id</A>&nbsp;id)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#unary(ch.javasoft.math.operator.UnaryOperator.Id)">NumberOperators</A></CODE></B></DD>
<DD>Returns the unary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#unary(ch.javasoft.math.operator.UnaryOperator.Id)">unary</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>id</CODE> - the identifier for the desired operator
<DT><B>Returns:</B><DD>the operator implementation for the current number/array type</DL>
</DD>
</DL>
<HR>

<A NAME="booleanUnary(ch.javasoft.math.operator.BooleanUnaryOperator.Id)"><!-- --></A><H3>
booleanUnary</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanUnaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt; <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.431"><B>booleanUnary</B></A>(<A HREF="../../../../../ch/javasoft/math/operator/BooleanUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BooleanUnaryOperator.Id</A>&nbsp;id)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#booleanUnary(ch.javasoft.math.operator.BooleanUnaryOperator.Id)">NumberOperators</A></CODE></B></DD>
<DD>Returns the boolean-unary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#booleanUnary(ch.javasoft.math.operator.BooleanUnaryOperator.Id)">booleanUnary</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>id</CODE> - the identifier for the desired operator
<DT><B>Returns:</B><DD>the operator implementation for the current number/array type</DL>
</DD>
</DL>
<HR>

<A NAME="intUnary(ch.javasoft.math.operator.IntUnaryOperator.Id)"><!-- --></A><H3>
intUnary</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/operator/IntUnaryOperator.html" title="interface in ch.javasoft.math.operator">IntUnaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt; <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.435"><B>intUnary</B></A>(<A HREF="../../../../../ch/javasoft/math/operator/IntUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">IntUnaryOperator.Id</A>&nbsp;id)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#intUnary(ch.javasoft.math.operator.IntUnaryOperator.Id)">NumberOperators</A></CODE></B></DD>
<DD>Returns the int-unary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#intUnary(ch.javasoft.math.operator.IntUnaryOperator.Id)">intUnary</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>id</CODE> - the identifier for the desired operator
<DT><B>Returns:</B><DD>the operator implementation for the current number/array type</DL>
</DD>
</DL>
<HR>

<A NAME="binary(ch.javasoft.math.operator.BinaryOperator.Id)"><!-- --></A><H3>
binary</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator">BinaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt; <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.439"><B>binary</B></A>(<A HREF="../../../../../ch/javasoft/math/operator/BinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BinaryOperator.Id</A>&nbsp;id)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#binary(ch.javasoft.math.operator.BinaryOperator.Id)">NumberOperators</A></CODE></B></DD>
<DD>Returns the binary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#binary(ch.javasoft.math.operator.BinaryOperator.Id)">binary</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>id</CODE> - the identifier for the desired operator
<DT><B>Returns:</B><DD>the operator implementation for the current number/array type</DL>
</DD>
</DL>
<HR>

<A NAME="booleanBinary(ch.javasoft.math.operator.BooleanBinaryOperator.Id)"><!-- --></A><H3>
booleanBinary</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.html" title="interface in ch.javasoft.math.operator">BooleanBinaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt; <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.443"><B>booleanBinary</B></A>(<A HREF="../../../../../ch/javasoft/math/operator/BooleanBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">BooleanBinaryOperator.Id</A>&nbsp;id)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#booleanBinary(ch.javasoft.math.operator.BooleanBinaryOperator.Id)">NumberOperators</A></CODE></B></DD>
<DD>Returns the boolean-binary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#booleanBinary(ch.javasoft.math.operator.BooleanBinaryOperator.Id)">booleanBinary</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>id</CODE> - the identifier for the desired operator
<DT><B>Returns:</B><DD>the operator implementation for the current number/array type</DL>
</DD>
</DL>
<HR>

<A NAME="intBinary(ch.javasoft.math.operator.IntBinaryOperator.Id)"><!-- --></A><H3>
intBinary</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/operator/IntBinaryOperator.html" title="interface in ch.javasoft.math.operator">IntBinaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt; <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.447"><B>intBinary</B></A>(<A HREF="../../../../../ch/javasoft/math/operator/IntBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">IntBinaryOperator.Id</A>&nbsp;id)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#intBinary(ch.javasoft.math.operator.IntBinaryOperator.Id)">NumberOperators</A></CODE></B></DD>
<DD>Returns the int-binary operator identified by operator id, matching
 number and array type defined by this <code>NumberOperators</code> instance.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#intBinary(ch.javasoft.math.operator.IntBinaryOperator.Id)">intBinary</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>id</CODE> - the identifier for the desired operator
<DT><B>Returns:</B><DD>the operator implementation for the current number/array type</DL>
</DD>
</DL>
<HR>

<A NAME="aggregatingUnary(ch.javasoft.math.operator.AggregatingUnaryOperator.Id)"><!-- --></A><H3>
aggregatingUnary</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.html" title="interface in ch.javasoft.math.operator">AggregatingUnaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt; <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.451"><B>aggregatingUnary</B></A>(<A HREF="../../../../../ch/javasoft/math/operator/AggregatingUnaryOperator.Id.html" title="enum in ch.javasoft.math.operator">AggregatingUnaryOperator.Id</A>&nbsp;id)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#aggregatingUnary(ch.javasoft.math.operator.AggregatingUnaryOperator.Id)">NumberOperators</A></CODE></B></DD>
<DD>Returns the aggregating unary operator identified by operator id, 
 matching number and array type defined by this <code>NumberOperators</code> 
 instance.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#aggregatingUnary(ch.javasoft.math.operator.AggregatingUnaryOperator.Id)">aggregatingUnary</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>id</CODE> - the identifier for the desired operator
<DT><B>Returns:</B><DD>the operator implementation for the current number/array type</DL>
</DD>
</DL>
<HR>

<A NAME="aggregatingBinary(ch.javasoft.math.operator.AggregatingBinaryOperator.Id)"><!-- --></A><H3>
aggregatingBinary</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.html" title="interface in ch.javasoft.math.operator">AggregatingBinaryOperator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt; <A HREF="../../../../../src-html/ch/javasoft/math/operator/impl/BigIntegerOperators.html#line.455"><B>aggregatingBinary</B></A>(<A HREF="../../../../../ch/javasoft/math/operator/AggregatingBinaryOperator.Id.html" title="enum in ch.javasoft.math.operator">AggregatingBinaryOperator.Id</A>&nbsp;id)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#aggregatingBinary(ch.javasoft.math.operator.AggregatingBinaryOperator.Id)">NumberOperators</A></CODE></B></DD>
<DD>Returns the aggregating binary operator identified by operator id, 
 matching number and array type defined by this <code>NumberOperators</code> 
 instance.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html#aggregatingBinary(ch.javasoft.math.operator.AggregatingBinaryOperator.Id)">aggregatingBinary</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/array/NumberOperators.html" title="interface in ch.javasoft.math.array">NumberOperators</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>,<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>id</CODE> - the identifier for the desired operator
<DT><B>Returns:</B><DD>the operator implementation for the current number/array type</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BigIntegerOperators.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/impl/BigFractionOperators.html" title="class in ch.javasoft.math.operator.impl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/math/operator/impl/BigIntegerOperators.ConversionMode.html" title="enum in ch.javasoft.math.operator.impl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/operator/impl/BigIntegerOperators.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BigIntegerOperators.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
